CMSwapCurveState Class Reference

Curve state for constant-maturity-swap market models More...

`#include <ql/models/marketmodels/curvestates/cmswapcurvestate.hpp>`

Inheritance diagram for CMSwapCurveState:
[legend]

## Public Member Functions

| CMSwapCurveState (const std::vector< Time > &rateTimes, Size spanningForwards)
Modifiers
void | setOnCMSwapRates (const std::vector< Rate > &cmSwapRates, Size firstValidIndex=0)
Public Member Functions inherited from CurveState
| CurveState (const std::vector< Time > &rateTimes)
Size | numberOfRates () const
const std::vector< Time > & | rateTimes () const
const std::vector< Time > & | rateTaus () const
Rate | swapRate (Size begin, Size end) const

## Inspectors

Real | discountRatio (Size i, Size j) const
Rate | forwardRate (Size i) const
Rate | coterminalSwapRate (Size i) const
Rate | coterminalSwapAnnuity (Size numeraire, Size i) const
Rate | cmSwapRate (Size i, Size spanningForwards) const
Rate | cmSwapAnnuity (Size numeraire, Size i, Size spanningForwards) const
const std::vector< Rate > & | forwardRates () const
const std::vector< Rate > & | coterminalSwapRates () const
const std::vector< Rate > & | cmSwapRates (Size spanningForwards) const
std::auto_ptr< CurveState > | clone () const

## Additional Inherited Members

Protected Attributes inherited from CurveState
Size | numberOfRates_
std::vector< Time > | rateTimes_
std::vector< Time > | rateTaus_

## Detailed Description

Curve state for constant-maturity-swap market models